Index: src/sas/guiframe/gui_manager.py
===================================================================
--- src/sas/guiframe/gui_manager.py	(revision 064723bf3f830a2eca6b30a1ebfa1f5834e683b2)
+++ src/sas/guiframe/gui_manager.py	(revision 091e71a2c396c66b4a4d8a9536d715b2f2210daf)
@@ -2088,5 +2067,5 @@
                     webbrowser.open(config.__download_page__)
                 else:
-                    msg +=  "See the help menu to download it." 
+                    msg += "See the help menu to download it."
                 self.SetStatusText(msg)
             else:
@@ -2103,11 +2082,11 @@
                 msg += " Please try again later."
                 self.SetStatusText(msg)
-                    
+
     def _onAcknowledge(self, evt):
         """
         Pop up the acknowledge dialog
-        
+
         :param evt: menu event
-        
+
         """
         if config._do_acknowledge:
@@ -2115,25 +2094,25 @@
             dialog = AcknowledgeBox.DialogAcknowledge(None, -1, "")
             dialog.ShowModal()
-                     
+
     def _onAbout(self, evt):
         """
         Pop up the about dialog
-        
+
         :param evt: menu event
-        
+
         """
         if config._do_aboutbox:
             import sas.guiframe.aboutbox as AboutBox
             dialog = AboutBox.DialogAbout(None, -1, "")
-            dialog.ShowModal()   
-                     
+            dialog.ShowModal()
+
     def _onTutorial(self, evt):
         """
         Pop up the tutorial dialog
-        
+
         :param evt: menu event
-        
-        """
-        if config._do_tutorial:   
+
+        """
+        if config._do_tutorial:
             path = config.TUTORIAL_PATH
             if IS_WIN:
@@ -2142,6 +2121,6 @@
                     dialog = PDFFrame(None, -1, "Tutorial", path)
                     # put icon
-                    self.put_icon(dialog)  
-                    dialog.Show(True) 
+                    self.put_icon(dialog)
+                    dialog.Show(True)
                 except:
                     logging.error("Error in _onTutorial: %s" % sys.exc_value)
@@ -2175,5 +2154,5 @@
         'documentation' is clicked. Calls DocumentationWindow with the top
         level path of "index.html"
-        
+
         :param evt: menu event
         """
@@ -2181,19 +2160,17 @@
         # different place than they would otherwise.
         from documentation_window import DocumentationWindow
-        
-        sphinx_doc_viewer = DocumentationWindow(self, -1, "index.html", \
-                                                "General Help")
+        DocumentationWindow(self, -1, "index.html", "General Help")
 
     def set_manager(self, manager):
         """
         Sets the application manager for this frame
-        
+
         :param manager: frame manager
         """
         self.app_manager = manager
-        
+
     def post_init(self):
         """
-        This initialization method is called after the GUI 
+        This initialization method is called after the GUI
         has been created and all plug-ins loaded. It calls
         the post_init() method of each plug-in (if it exists)
@@ -2203,8 +2180,8 @@
             if hasattr(item, "post_init"):
                 item.post_init()
-        
+
     def set_default_perspective(self):
         """
-        Choose among the plugin the first plug-in that has 
+        Choose among the plugin the first plug-in that has
         "set_default_perspective" method and its return value is True will be
         as a default perspective when the welcome page is closed
@@ -2214,6 +2191,6 @@
                 if item.set_default_perspective():
                     item.on_perspective(event=None)
-                    return 
-        
+                    return
+
     def set_perspective(self, panels):
         """
@@ -2221,5 +2198,5 @@
         Opens all the panels in the list, and closes
         all the others.
-        
+
         :param panels: list of panels
         """
@@ -2228,5 +2205,5 @@
             if hasattr(self.panels[item], "ALWAYS_ON"):
                 if self.panels[item].ALWAYS_ON:
-                    continue 
+                    continue
             if self.panels[item] == None:
                 continue
@@ -2252,5 +2229,5 @@
                     if frame.IsShown():
                         frame.Show(False)
-        
+
     def show_data_panel(self, event=None, action=True):
         """
@@ -2263,5 +2240,5 @@
         frame = pane.get_frame()
         if label == 'Show Data Explorer':
-            if action: 
+            if action:
                 frame.Show(True)
             self.__gui_style = self.__gui_style | GUIFRAME.MANAGER_ON
@@ -2278,11 +2255,11 @@
         if self._data_manager is not None:
             self._data_manager.add_data(data_list)
-        
+
     def add_data(self, data_list):
         """
         receive a dictionary of data from loader
         store them its data manager if possible
-        send to data the current active perspective if the data panel 
-        is not active. 
+        send to data the current active perspective if the data panel
+        is not active.
         :param data_list: dictionary of data's ID and value Data
         """
@@ -2293,10 +2270,10 @@
             data_state = self._data_manager.get_data_state(data_list.keys())
             self._data_panel.load_data_list(data_state)
-        #if the data panel is shown wait for the user to press a button 
+        #if the data panel is shown wait for the user to press a button
         #to send data to the current perspective. if the panel is not
         #show  automatically send the data to the current perspective
         style = self.__gui_style & GUIFRAME.MANAGER_ON
         if style == GUIFRAME.MANAGER_ON:
-            #wait for button press from the data panel to set_data 
+            #wait for button press from the data panel to set_data
             if self._data_panel is not None:
                 self._data_panel.frame.Show(True)
@@ -2304,6 +2281,6 @@
             #automatically send that to the current perspective
             self.set_data(data_id=data_list.keys())
-       
-    def set_data(self, data_id, theory_id=None): 
+
+    def set_data(self, data_id, theory_id=None):
         """
         set data to current perspective
@@ -2316,5 +2293,5 @@
             msg = "Guiframe does not have a current perspective"
             logging.info(msg)
-            
+
     def set_theory(self, state_id, theory_id=None):
         """
@@ -2331,11 +2308,10 @@
             msg = "Guiframe does not have a current perspective"
             logging.info(msg)
-            
-    def plot_data(self,  state_id, data_id=None,
+
+    def plot_data(self, state_id, data_id=None,
                   theory_id=None, append=False):
         """
         send a list of data to plot
         """
-        total_plot_list = []
         data_list, _ = self._data_manager.get_by_id(data_id)
         _, temp_list_theory = self._data_manager.get_by_id(theory_id)
@@ -2350,7 +2326,7 @@
                     message = "cannot append plot. No plot panel on focus!"
                     message += "please click on any available plot to set focus"
-                    wx.PostEvent(self, StatusEvent(status=message, 
+                    wx.PostEvent(self, StatusEvent(status=message,
                                                    info='warning'))
-                    return 
+                    return
                 else:
                     if self.enable_add_data(new_plot):
@@ -2359,8 +2335,8 @@
                         message = "Only 1D Data can be append to"
                         message += " plot panel containing 1D data.\n"
-                        message += "%s not be appended.\n" %str(new_plot.name)
+                        message += "%s not be appended.\n" % str(new_plot.name)
                         message += "try new plot option.\n"
-                        wx.PostEvent(self, StatusEvent(status=message, 
-                                                   info='warning'))
+                        wx.PostEvent(self, StatusEvent(status=message,
+                                                       info='warning'))
             else:
                 #if not append then new plot
@@ -2374,7 +2350,7 @@
             title = "PLOT " + str(new_plot.title)
             wx.PostEvent(self, NewPlotEvent(plot=new_plot,
-                                                  title=title,
-                                                  group_id = new_plot.group_id))
-            
+                                            title=title,
+                                            group_id=new_plot.group_id))
+
     def remove_data(self, data_id, theory_id=None):
         """
@@ -2387,5 +2363,4 @@
         for plug in self.plugins:
             plug.delete_data(temp)
-        total_plot_list = []
         data_list, _ = self._data_manager.get_by_id(data_id)
         _, temp_list_theory = self._data_manager.get_by_id(theory_id)
@@ -2398,24 +2373,24 @@
             for group_id in new_plot.list_group_id:
                 wx.PostEvent(self, NewPlotEvent(id=id,
-                                                   group_id=group_id,
-                                                   action='remove'))
+                                                group_id=group_id,
+                                                action='remove'))
                 #remove res plot: Todo: improve
                 wx.CallAfter(self._remove_res_plot, id)
-        self._data_manager.delete_data(data_id=data_id, 
+        self._data_manager.delete_data(data_id=data_id,
                                        theory_id=theory_id)
-        
+
     def _remove_res_plot(self, id):
         """
         Try to remove corresponding res plot
-        
+
         : param id: id of the data
         """
         try:
-            wx.PostEvent(self, NewPlotEvent(id=("res"+str(id)),
-                                           group_id=("res"+str(id)),
-                                           action='remove'))
+            wx.PostEvent(self, NewPlotEvent(id=("res" + str(id)),
+                                            group_id=("res" + str(id)),
+                                            action='remove'))
         except:
-            pass
-    
+            logging.error(sys.exc_value)
+
     def save_data1d(self, data, fname):
         """
@@ -2424,10 +2399,10 @@
         default_name = fname
         wildcard = "Text files (*.txt)|*.txt|"\
-                    "CanSAS 1D files(*.xml)|*.xml" 
+                    "CanSAS 1D files(*.xml)|*.xml"
         path = None
         dlg = wx.FileDialog(self, "Choose a file",
                             self._default_save_location,
-                            default_name, wildcard , wx.SAVE)
-       
+                            default_name, wildcard, wx.SAVE)
+
         if dlg.ShowModal() == wx.ID_OK:
             path = dlg.GetPath()
@@ -2441,13 +2416,7 @@
             path = os.path.splitext(path)[0] + format
             mypath = os.path.basename(path)
-            
-            #TODO: This is bad design. The DataLoader is designed 
-            #to recognize extensions.
-            # It should be a simple matter of calling the .
-            #save(file, data, '.xml') method
-            # of the sas.dataloader.loader.Loader class.
-            from sas.dataloader.loader import  Loader
-            #Instantiate a loader 
-            loader = Loader() 
+
+            #Instantiate a loader
+            loader = Loader()
             format = ".txt"
             if os.path.splitext(mypath)[1].lower() == format:
@@ -2465,11 +2434,11 @@
                 self._default_save_location = os.path.dirname(path)
             except:
-                pass    
+                pass
         dlg.Destroy()
-        
-        
+
+
     def _onsaveTXT(self, data, path):
         """
-        Save file as txt  
+        Save file as txt
         :TODO: Refactor and remove this method. See TODO in _onSave.
         """
@@ -2493,46 +2462,46 @@
             else:
                 out.write("<X>   <Y>\n")
-                
+
             for i in range(len(data.x)):
                 if has_errors:
                     if data.dx != None and data.dx != []:
                         if  data.dx[i] != None:
-                            out.write("%g  %g  %g  %g\n" % (data.x[i], 
-                                                        data.y[i],
-                                                        data.dy[i],
-                                                        data.dx[i]))
+                            out.write("%g  %g  %g  %g\n" % (data.x[i],
+                                                            data.y[i],
+                                                            data.dy[i],
+                                                            data.dx[i]))
                         else:
-                            out.write("%g  %g  %g\n" % (data.x[i], 
+                            out.write("%g  %g  %g\n" % (data.x[i],
                                                         data.y[i],
                                                         data.dy[i]))
                     else:
-                        out.write("%g  %g  %g\n" % (data.x[i], 
+                        out.write("%g  %g  %g\n" % (data.x[i],
                                                     data.y[i],
                                                     data.dy[i]))
                 else:
-                    out.write("%g  %g\n" % (data.x[i], 
+                    out.write("%g  %g\n" % (data.x[i],
                                             data.y[i]))
-            out.close()  
-                             
+            out.close()
+
     def show_data1d(self, data, name):
         """
         Show data dialog
-        """   
+        """
         try:
             xmin = min(data.x)
             ymin = min(data.y)
         except:
-            msg = "Unable to find min/max of \n data named %s"% \
-                        data.filename  
+            msg = "Unable to find min/max of \n data named %s" % \
+                        data.filename
             wx.PostEvent(self, StatusEvent(status=msg,
-                                       info="error"))
+                                           info="error"))
             raise ValueError, msg
         ## text = str(data)
         text = data.__str__()
         text += 'Data Min Max:\n'
-        text += 'X_min = %s:  X_max = %s\n'% (xmin, max(data.x))
-        text += 'Y_min = %s:  Y_max = %s\n'% (ymin, max(data.y))
+        text += 'X_min = %s:  X_max = %s\n' % (xmin, max(data.x))
+        text += 'Y_min = %s:  Y_max = %s\n' % (ymin, max(data.y))
         if data.dy != None:
-            text += 'dY_min = %s:  dY_max = %s\n'% (min(data.dy), max(data.dy))
+            text += 'dY_min = %s:  dY_max = %s\n' % (min(data.dy), max(data.dy))
         text += '\nData Points:\n'
         x_st = "X"
@@ -2547,26 +2516,26 @@
                 dx_val = 0.0
             if data.dxl != None and len(data.dxl) > index:
-                if index == 0: 
+                if index == 0:
                     x_st = "Xl"
                 dx_val = data.dxl[index]
             elif data.dxw != None and len(data.dxw) > index:
-                if index == 0: 
+                if index == 0:
                     x_st = "Xw"
                 dx_val = data.dxw[index]
-            
+
             if index == 0:
-                text += "<index> \t<X> \t<Y> \t<dY> \t<d%s>\n"% x_st
+                text += "<index> \t<X> \t<Y> \t<dY> \t<d%s>\n" % x_st
             text += "%s \t%s \t%s \t%s \t%s\n" % (index,
-                                            data.x[index], 
-                                            data.y[index],
-                                            dy_val,
-                                            dx_val)
+                                                  data.x[index],
+                                                  data.y[index],
+                                                  dy_val,
+                                                  dx_val)
         from pdfview import TextFrame
-        frame = TextFrame(None, -1, "Data Info: %s"% data.name, text) 
+        frame = TextFrame(None, -1, "Data Info: %s" % data.name, text)
         # put icon
-        self.put_icon(frame) 
-        frame.Show(True) 
-            
-    def save_data2d(self, data, fname):    
+        self.put_icon(frame)
+        frame.Show(True)
+
+    def save_data2d(self, data, fname):
         """
         Save data2d dialog
@@ -2576,6 +2545,6 @@
         dlg = wx.FileDialog(self, "Choose a file",
                             self._default_save_location,
-                            default_name, wildcard , wx.SAVE)
-       
+                            default_name, wildcard, wx.SAVE)
+
         if dlg.ShowModal() == wx.ID_OK:
             path = dlg.GetPath()
@@ -2589,13 +2558,7 @@
             path = os.path.splitext(path)[0] + format
             mypath = os.path.basename(path)
-            
-            #TODO: This is bad design. The DataLoader is designed 
-            #to recognize extensions.
-            # It should be a simple matter of calling the .
-            #save(file, data, '.xml') method
-            # of the DataLoader.loader.Loader class.
-            from sas.dataloader.loader import  Loader
-            #Instantiate a loader 
-            loader = Loader() 
+
+            #Instantiate a loader
+            loader = Loader()
 
             format = ".dat"
@@ -2608,18 +2571,17 @@
                 self._default_save_location = os.path.dirname(path)
             except:
-                pass    
-        dlg.Destroy() 
-                             
+                pass
+        dlg.Destroy()
+
     def show_data2d(self, data, name):
         """
         Show data dialog
-        """   
-
-        wx.PostEvent(self, StatusEvent(status = "Gathering Data2D Info.", 
-                                       type = 'start' ))
-        text = data.__str__() 
+        """
+        wx.PostEvent(self, StatusEvent(status="Gathering Data2D Info.",
+                                       type='start'))
+        text = data.__str__()
         text += 'Data Min Max:\n'
-        text += 'I_min = %s\n'% min(data.data)
-        text += 'I_max = %s\n\n'% max(data.data)
+        text += 'I_min = %s\n' % min(data.data)
+        text += 'I_max = %s\n\n' % max(data.data)
         text += 'Data (First 2501) Points:\n'
         text += 'Data columns include err(I).\n'
@@ -2629,5 +2591,4 @@
         dx_val = 0.0
         dy_val = 0.0
-        #mask_val = True
         len_data = len(data.qx_data)
         for index in xrange(0, len_data):
@@ -2635,18 +2596,18 @@
             y_val = data.qy_data[index]
             i_val = data.data[index]
-            if data.err_data != None: 
+            if data.err_data != None:
                 di_val = data.err_data[index]
-            if data.dqx_data != None: 
+            if data.dqx_data != None:
                 dx_val = data.dqx_data[index]
-            if data.dqy_data != None: 
+            if data.dqy_data != None:
                 dy_val = data.dqy_data[index]
-  
+
             text += "%s \t%s \t%s \t%s \t%s \t%s \t%s\n" % (index,
-                                            x_val, 
-                                            y_val,
-                                            i_val,
-                                            di_val,
-                                            dx_val,
-                                            dy_val)
+                                                            x_val,
+                                                            y_val,
+                                                            i_val,
+                                                            di_val,
+                                                            dx_val,
+                                                            dy_val)
             # Takes too long time for typical data2d: Break here
             if index >= 2500:
@@ -2655,14 +2616,14 @@
 
         from pdfview import TextFrame
-        frame = TextFrame(None, -1, "Data Info: %s"% data.name, text) 
+        frame = TextFrame(None, -1, "Data Info: %s" % data.name, text)
         # put icon
         self.put_icon(frame)
-        frame.Show(True) 
-        wx.PostEvent(self, StatusEvent(status = "Data2D Info Displayed", 
-                                       type = 'stop' ))
-                                  
+        frame.Show(True)
+        wx.PostEvent(self, StatusEvent(status="Data2D Info Displayed",
+                                       type='stop'))
+
     def set_current_perspective(self, perspective):
         """
-        set the current active perspective 
+        set the current active perspective
         """
         self._current_perspective = perspective
@@ -2680,5 +2641,4 @@
                             else:
                                 frame.Show(False)
-                            #break               
             name = self._current_perspective.sub_menu
             if self._data_panel is not None:
@@ -2687,9 +2647,9 @@
             #Set the SasView title
             self._set_title_name(name)
-            
+
     def _set_title_name(self, name):
         """
         Set the SasView title w/ the current application name
-        
+
         : param name: application name [string]
         """
@@ -2697,5 +2657,5 @@
         title = self.title + "  - " + name + " -"
         self.SetTitle(title)
-            
+
     def _check_applications_menu(self):
         """
@@ -2710,6 +2670,6 @@
                             menu.Check(True)
                         else:
-                            menu.Check(False) 
-            
+                            menu.Check(False)
+
     def enable_add_data(self, new_plot):
         """
@@ -2721,23 +2681,23 @@
         is_theory = len(self.panel_on_focus.plots) <= 1 and \
             self.panel_on_focus.plots.values()[0].__class__.__name__ == "Theory1D"
-            
+
         is_data2d = hasattr(new_plot, 'data')
-        
+
         is_data1d = self.panel_on_focus.__class__.__name__ == "ModelPanel1D"\
             and self.panel_on_focus.group_id is not None
         has_meta_data = hasattr(new_plot, 'meta_data')
-        
+
         #disable_add_data if the data is being recovered from  a saved state file.
         is_state_data = False
         if has_meta_data:
-            if 'invstate' in new_plot.meta_data: 
+            if 'invstate' in new_plot.meta_data:
                 is_state_data = True
-            if  'prstate' in new_plot.meta_data: 
+            if  'prstate' in new_plot.meta_data:
                 is_state_data = True
-            if  'fitstate' in new_plot.meta_data: 
+            if  'fitstate' in new_plot.meta_data:
                 is_state_data = True
-    
+
         return is_data1d and not is_data2d and not is_theory and not is_state_data
-    
+
     def check_multimode(self, perspective=None):
         """
@@ -2756,7 +2716,5 @@
         self._data_panel.rb_single_mode.Enable(flag)
         self._data_panel.rb_batch_mode.Enable(flag)
-                
-
-    
+
     def enable_edit_menu(self):
         """
@@ -2775,5 +2733,4 @@
             #Copy menu
             flag = self.cpanel_on_focus.get_copy_flag()
-            #self._edit_menu.ENABLE(GUIFRAME_ID.COPYAS_ID,flag)
             self._edit_menu_copyas.Enable(GUIFRAME_ID.COPYEX_ID, flag)
             self._edit_menu_copyas.Enable(GUIFRAME_ID.COPYLAT_ID, flag)
@@ -2789,10 +2746,7 @@
             self._edit_menu.Enable(GUIFRAME_ID.COPY_ID, flag)
             self._edit_menu.Enable(GUIFRAME_ID.PASTE_ID, flag)
-            #self._edit_menu.Enable(GUIFRAME_ID.COPYEX_ID, flag)
-            #self._edit_menu.Enable(GUIFRAME_ID.COPYLAT_ID, flag)
-            #self._edit_menu.Enable(GUIFRAME_ID.COPYAS_ID, flag)
             self._edit_menu.Enable(GUIFRAME_ID.PREVIEW_ID, flag)
             self._edit_menu.Enable(GUIFRAME_ID.RESET_ID, flag)
-            
+
     def on_undo_panel(self, event=None):
         """
@@ -2801,5 +2755,5 @@
         if self.cpanel_on_focus is not None:
             self.cpanel_on_focus.on_undo(event)
-            
+
     def on_redo_panel(self, event=None):
         """
@@ -2808,5 +2762,5 @@
         if self.cpanel_on_focus is not None:
             self.cpanel_on_focus.on_redo(event)
-            
+
     def on_copy_panel(self, event=None):
         """
@@ -2815,5 +2769,5 @@
         if self.cpanel_on_focus is not None:
             self.cpanel_on_focus.on_copy(event)
-            
+
     def on_paste_panel(self, event=None):
         """
@@ -2822,5 +2776,5 @@
         if self.cpanel_on_focus is not None:
             self.cpanel_on_focus.on_paste(event)
-                    
+
     def on_bookmark_panel(self, event=None):
         """
@@ -2829,5 +2783,5 @@
         if self.cpanel_on_focus is not None:
             self.cpanel_on_focus.on_bookmark(event)
-            
+
     def append_bookmark(self, event=None):
         """
@@ -2835,5 +2789,5 @@
         """
         self._toolbar.append_bookmark(event)
-            
+
     def on_save_panel(self, event=None):
         """
@@ -2842,5 +2796,5 @@
         if self.cpanel_on_focus is not None:
             self.cpanel_on_focus.on_save(event)
-            
+
     def on_preview_panel(self, event=None):
         """
@@ -2849,5 +2803,5 @@
         if self.cpanel_on_focus is not None:
             self.cpanel_on_focus.on_preview(event)
-            
+
     def on_print_panel(self, event=None):
         """
@@ -2856,5 +2810,5 @@
         if self.cpanel_on_focus is not None:
             self.cpanel_on_focus.on_print(event)
-            
+
     def on_zoom_panel(self, event=None):
         """
@@ -2863,5 +2817,5 @@
         if self.cpanel_on_focus is not None:
             self.cpanel_on_focus.on_zoom(event)
-            
+
     def on_zoom_in_panel(self, event=None):
         """
@@ -2870,5 +2824,5 @@
         if self.cpanel_on_focus is not None:
             self.cpanel_on_focus.on_zoom_in(event)
-            
+
     def on_zoom_out_panel(self, event=None):
         """
@@ -2877,5 +2831,5 @@
         if self.cpanel_on_focus is not None:
             self.cpanel_on_focus.on_zoom_out(event)
-            
+
     def on_drag_panel(self, event=None):
         """
@@ -2884,5 +2838,5 @@
         if self.cpanel_on_focus is not None:
             self.cpanel_on_focus.on_drag(event)
-            
+
     def on_reset_panel(self, event=None):
         """
@@ -2891,9 +2845,9 @@
         if self.cpanel_on_focus is not None:
             self.cpanel_on_focus.on_reset(event)
-            
-    def on_change_caption(self, name, old_caption, new_caption):     
+
+    def on_change_caption(self, name, old_caption, new_caption):
         """
         Change the panel caption
-        
+
         :param name: window_name of the pane
         :param old_caption: current caption [string]
@@ -2901,5 +2855,5 @@
         """
         # wx.aui.AuiPaneInfo
-        pane_info = self.get_paneinfo(old_caption) 
+        pane_info = self.get_paneinfo(old_caption)
         # update the data_panel.cb_plotpanel
         if 'data_panel' in self.panels.keys():
@@ -2909,5 +2863,5 @@
                 # Check if any panel has the same caption
                 has_newstring = data_panel.cb_plotpanel.FindString\
-                                                            (str(new_caption)) 
+                                                            (str(new_caption))
                 caption = new_caption
                 if has_newstring != wx.NOT_FOUND:
@@ -2915,14 +2869,15 @@
                     # Append nummber
                     inc = 1
+                    #FIXME: fix this terrible loop
                     while (1):
-                        caption = new_caption + '_%s'% str(inc)
+                        caption = new_caption + '_%s' % str(inc)
                         if caption not in captions:
                             break
                         inc += 1
                     # notify to users
-                    msg = "Found Same Title: Added '_%s'"% str(inc)
+                    msg = "Found Same Title: Added '_%s'" % str(inc)
                     wx.PostEvent(self, StatusEvent(status=msg))
                 # update data_panel cb
-                pos = data_panel.cb_plotpanel.FindString(str(old_caption)) 
+                pos = data_panel.cb_plotpanel.FindString(str(old_caption))
                 if pos != wx.NOT_FOUND:
                     data_panel.cb_plotpanel.SetString(pos, caption)
@@ -2931,9 +2886,9 @@
         pane_info.SetTitle(caption)
         return caption
-        
+
     def get_paneinfo(self, name):
         """
         Get pane Caption from window_name
-        
+
         :param name: window_name in AuiPaneInfo
         : return: AuiPaneInfo of the name
@@ -2943,5 +2898,5 @@
                 return panel.frame
         return None
-    
+
     def enable_undo(self):
         """
@@ -2950,12 +2905,12 @@
         if self.cpanel_on_focus is not None:
             self._toolbar.enable_undo(self.cpanel_on_focus)
-            
+
     def enable_redo(self):
         """
-        enable redo 
+        enable redo
         """
         if self.cpanel_on_focus is not None:
             self._toolbar.enable_redo(self.cpanel_on_focus)
-            
+
     def enable_copy(self):
         """
@@ -2964,67 +2919,67 @@
         if self.cpanel_on_focus is not None:
             self._toolbar.enable_copy(self.cpanel_on_focus)
-            
+
     def enable_paste(self):
         """
-        enable paste 
+        enable paste
         """
         if self.cpanel_on_focus is not None:
             self._toolbar.enable_paste(self.cpanel_on_focus)
-                       
+
     def enable_bookmark(self):
         """
-        Bookmark 
+        Bookmark
         """
         if self.cpanel_on_focus is not None:
             self._toolbar.enable_bookmark(self.cpanel_on_focus)
-            
+
     def enable_save(self):
         """
-        save 
+        save
         """
         if self.cpanel_on_focus is not None:
             self._toolbar.enable_save(self.cpanel_on_focus)
-            
+
     def enable_preview(self):
         """
-        preview 
+        preview
         """
         if self.cpanel_on_focus is not None:
             self._toolbar.enable_preview(self.cpanel_on_focus)
-            
+
     def enable_print(self):
         """
-        print 
+        print
         """
         if self.cpanel_on_focus is not None:
             self._toolbar.enable_print(self.cpanel_on_focus)
-            
+
     def enable_zoom(self):
         """
-        zoom 
+        zoom
         """
         if self.cpanel_on_focus is not None:
             self._toolbar.enable_zoom(self.panel_on_focus)
-            
+
     def enable_zoom_in(self):
         """
-        zoom in 
+        zoom in
         """
         if self.cpanel_on_focus is not None:
             self._toolbar.enable_zoom_in(self.panel_on_focus)
-            
+
     def enable_zoom_out(self):
         """
-        zoom out 
+        zoom out
         """
         if self.cpanel_on_focus is not None:
             self._toolbar.enable_zoom_out(self.panel_on_focus)
-            
+
     def enable_drag(self, event=None):
         """
-        drag 
+        drag
         """
         #Not implemeted
-            
+
     def enable_reset(self):
         """
@@ -3033,5 +2988,5 @@
         if self.cpanel_on_focus is not None:
             self._toolbar.enable_reset(self.panel_on_focus)
-            
+
     def get_toolbar_height(self):
         """
